Skip to content

Delegations

All operations require authentication.

12 operationsv1/email/mxplan
Agent setup

List full access permissionsProduction

GET
/1.0/email/mxplan/{service}/account/{email}/fullAccess

List full access permissions. Returns the IDs of the accounts that have full access to the email account.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200integer[]successful operation

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/fullAccess \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a full access permissionProduction

GET
/1.0/email/mxplan/{service}/account/{email}/fullAccess/{allowedAccountId}

Get a full access permission. Returns the ID of the account that has full access to the email account, and the creation date of the permission.

Path parameters

allowedAccountId
required
integer

Account id to give full access

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200AccountFullAccesssuccessful operation
allowedAccountId
read-only
integer

Account id to give full access

creationDate
read-only
stringdate-time

Creation date

taskPendingId
read-only
integer

Pending task id

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/fullAccess/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}

Add a full access permissionProduction

POST
/1.0/email/mxplan/{service}/account/{email}/fullAccess

Add a full access permission. Gives the account allowedAccountId full access to the email account, and returns the task.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Request body (required)

allowedAccountId
required
integer

User to give full access

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/fullAccess \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Remove a full access permissionProduction

DELETE
/1.0/email/mxplan/{service}/account/{email}/fullAccess/{allowedAccountId}

Remove a full access permission. Withdraws the access of the allowed account to the mailbox of this email account, and returns the task.

Path parameters

allowedAccountId
required
integer

Account id to give full access

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/fullAccess/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List send as permissionsProduction

GET
/1.0/email/mxplan/{service}/account/{email}/sendAs

List send as permissions. Returns the IDs of the accounts allowed to send emails as the email account.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200integer[]successful operation

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/sendAs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a send as permissionProduction

GET
/1.0/email/mxplan/{service}/account/{email}/sendAs/{allowedAccountId}

Get a send as permission. Returns the ID of the account allowed to send emails as the email account, and the creation date of the permission.

Path parameters

allowedAccountId
required
integer

Account id to give send as

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200AccountSendAssuccessful operation
allowedAccountId
read-only
integer

Account id to give send as

creationDate
read-only
stringdate-time

Creation date

taskPendingId
read-only
integer

Pending task id

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/sendAs/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}

Add a send as permissionProduction

POST
/1.0/email/mxplan/{service}/account/{email}/sendAs

Add a send as permission. Allows the account allowAccountId to send emails as the email account, and returns the task.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Request body (required)

allowAccountId
required
integer

Account id to allow to send mails from this mailbox

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/sendAs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Remove a send as permissionProduction

DELETE
/1.0/email/mxplan/{service}/account/{email}/sendAs/{allowedAccountId}

Remove a send as permission. Withdraws the right of the allowed account to send emails as this email account, and returns the task.

Path parameters

allowedAccountId
required
integer

Account id to give send as

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/sendAs/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List send on behalf permissionsProduction

GET
/1.0/email/mxplan/{service}/account/{email}/sendOnBehalfTo

List send on behalf permissions. Returns the IDs of the accounts allowed to send emails on behalf of the email account.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200integer[]successful operation

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/sendOnBehalfTo \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a send on behalf permissionProduction

GET
/1.0/email/mxplan/{service}/account/{email}/sendOnBehalfTo/{allowedAccountId}

Get a send on behalf permission. Returns the ID of the account allowed to send emails on behalf of the email account, and the creation date of the permission.

Path parameters

allowedAccountId
required
integer

Account id to give send on behalf to

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200AccountSendOnBehalfTosuccessful operation
allowedAccountId
read-only
integer

Account id to give send on behalf to

creationDate
read-only
stringdate-time

Creation date

taskPendingId
read-only
integer

Pending task id

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/sendOnBehalfTo/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "taskPendingId": 0}

Add a send on behalf permissionProduction

POST
/1.0/email/mxplan/{service}/account/{email}/sendOnBehalfTo

Add a send on behalf permission. Allows the account allowAccountId to send emails on behalf of the email account, and returns the task.

Path parameters

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Request body (required)

allowAccountId
required
integer

Account id to allow to send On Behalf To mails from this mailbox

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/sendOnBehalfTo \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Remove a send on behalf permissionProduction

DELETE
/1.0/email/mxplan/{service}/account/{email}/sendOnBehalfTo/{allowedAccountId}

Remove a send on behalf permission. Withdraws the right of the allowed account to send emails on behalf of this email account, and returns the task.

Path parameters

allowedAccountId
required
integer

Account id to give send on behalf to

email
required
string

Default email for this mailbox

service
required
string

The internal name of your mxplan organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesaddAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendService
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses allowedAccountId = 0, email = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/account/{email}/sendOnBehalfTo/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}